Fixing javadoc build for Linux and enhancing cell-build with a no-build option.
Change-Id: Ia24ef1f0c04fe52e2506eb708c46cb5a77cf66d5
diff --git a/tools/dev/bin/cell-build b/tools/dev/bin/cell-build
index 8169ab0..fc88ee4 100755
--- a/tools/dev/bin/cell-build
+++ b/tools/dev/bin/cell-build
@@ -8,13 +8,15 @@
runTests=false
useCache=false
+noBuild=false
-while getopts b:ct?h o; do
+while getopts b:cnt?h o; do
case "$o" in
b) branch=$OPTARG;;
c) useCache=true;;
+ n) noBuild=true;;
t) runTests=true;;
- *) echo "usage: cell-build [-b branch] [-ct] [commitHash]" >&2; exit 1;;
+ *) echo "usage: cell-build [-b branch] [-cnt] [commitHash]" >&2; exit 1;;
esac
done
@@ -57,7 +59,6 @@
# Run the build (neutralizing known environment mutations in SSH sessions)
set -e
- SHLVL=1 SSH_CLIENT=0 SSH_CONNECTION=0 bazel build onos
- [ $runTests = true ] && \
- bazel query 'tests(//...)' | SHLVL=1 SSH_CLIENT=0 SSH_CONNECTION=0 xargs bazel test
+ [ $noBuild = false ] && SHLVL=1 SSH_CLIENT=0 SSH_CONNECTION=0 bazel build onos
+ [ $runTests = true ] && bazel query 'tests(//...)' | SHLVL=1 SSH_CLIENT=0 SSH_CONNECTION=0 xargs bazel test
"